
$(document).ready(function () {
  if (Parse.User.current()){
    redirectNonAdminUser(Parse.User.current());
  } else {
    redirectLoggedOutUser();
  }
  
  $("#username-text").text("(" + Parse.User.current().attributes.username + ")"); 
  $("#role").change(function(){

    if($("#role").val() == "admin"){
      $("#app-id").attr("disabled", "disabled");
      $("#rest-key").attr("disabled", "disabled"); 
    } else {
      $("#app-id").removeAttr("disabled");
      $("#rest-key").removeAttr("disabled");
    } 
  });

});

function redirectNonAdminUser(user){
  if (user.attributes.role != "admin") {
        window.location = 'push.html';
    }
}

function signup(e) {
  var username = $("#signup-username").val();
  var password = $("#signup-password").val();
  var appId = $("#app-id").val();
  var restKey = $("#rest-key").val();
  var role = $("#role").val();

  var sessionToken = Parse.User.current(). _sessionToken

  var user = new Parse.User();
  user.set("username", username);
  user.set("password", password);
  user.set("role", role);
  user.set("appId", appId);
  user.set("restKey", restKey);
  user.signUp(null, {
    success: function (user) {
      $("#status").addClass("success");
      $("#status").text("The user '" + user.attributes.username + "' successfuly created");
      console.log(user);
      Parse.User.become(sessionToken)
    },
    error: function (user, error) {
      $("#status").addClass("error");
      $("#status").text(error.message);
    }
  }); 
}